package com.prolog.cs.biz.outbound.model.vo.check;

import com.prolog.cs.biz.inbound.dto.IsSuperviseDTO;
import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("复核商品以及订单信息")
@Deprecated
public class BillAndItemVO  implements Serializable {


    private static final long serialVersionUID = -7537894951314688552L;
    @ApiModelProperty(value = "货主名称")
    private String consignorName;

    @ApiModelProperty(value = "货主id")
    private String consignorId;

    @ApiModelProperty(value = "客户名称")
    private String clientName;

    @ApiModelProperty(value = "订单编号")
    private String billCode;

    @ApiModelProperty(value = "订单id")
    private String billGroupId;

    @ApiModelProperty(value = "当前操作的明细行")
    private String currentCheckId;

    public String getCurrentCheckId() {
        return currentCheckId;
    }

    public void setCurrentCheckId(String currentCheckId) {
        this.currentCheckId = currentCheckId;
    }

    // -------------------扫描监管码所需字段，tianhl--------------------------------
    @ApiModelProperty(value = "批号")
    private String manufactureLotNum;

    public String getManufactureLotNum() {
        return manufactureLotNum;
    }

    public void setManufactureLotNum(String manufactureLotNum) {
        this.manufactureLotNum = manufactureLotNum;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getConsignorname() {
        return consignorName;
    }

    public void setConsignorname(String consignorname) {
        this.consignorName = consignorname;
    }


    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }


    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

}
